---
title: raygeo.pipeline.request
sidebar_label: raygeo.pipeline.request
---

Node request types.

## NodeRequest

### `cacheable`

```python
cacheable: bool
```

### `generation_id`

```python
generation_id: int
```

### `key`

```python
key: str
```

### `on_cancelled`

```python
on_cancelled: Optional[Any]
```

### `on_chunk`

```python
on_chunk: Optional[Any]
```

### `on_progress`

```python
on_progress: Optional[Any]
```

### `stage`

```python
stage: Any
```

### `version_token`

```python
version_token: int
```
